<?php
$config = Zend_Registry::get('reviews_config');
?>
<div class="big-title center" ><?= __('reviews') ?></div>

<div class="reviews-search-form">
	<form action=""  >
		<div class="review-form-item">
			<label for="city_id"><?= $this->t('choose_your_city') ?>:</label> <br />
			<select name="city_id" id="city_id" style="width: 138px;">
				<option value=""><?= $this->t('whole_france') ?></option>
				<?php foreach ($this->cities as $city): ?>
					<option value="<?= $city['city_id'] ?>" <?= ($this->filter['city_id'] == $city['city_id'] )?'SELECTED':''; ?>><?= $city['city_title'] ?></option>
				<?php endforeach; ?>
			</select>
		</div>

		<div class="review-form-item">
			<label for="f_showname"><?= $this->t('showname') ?>:</label> <br />
			<input type="text" style="width: 138px;" id="f_showname" name="showname" value="<?= @$this->filter['showname']?>" />
		</div>

		<div class="clear"></div>

		<div class="review-form-item">
			<label for="f_member"><?= $this->t('member') ?>:</label> <br />
			<input type="text" style="width: 133px;" id="f_member" name="member_name" value="<?= @$this->filter['member_name']?>" />
		</div>

		<div class="fleft item" style="margin-top: 12px;">
			<input type="submit" value="<?= $this->t('search') ?>"/>
		</div>

		<div class="clear"></div>
	</form>
</div>
<table cellspacing="0" cellpadding="0" class="table4coulmn" style="width: 100%;">
				<tr class="tableReviews center">
					<th class="head"><?= $this->t('date') ?>/<?= $this->t('showname') ?>/<?= $this->t('city') ?></th>
					<th class="head" ><?= $this->t('looks') ?>/<?= $this->t('services') ?></th>
					<th class="head" ><?= $this->t('member') ?></th>
				</tr>
				<?php foreach ($this->items as $item): ?>
					<tr class="center">
						<td>
							<div class="reviews-column">
								<div><?= (date('d M Y', $item['creation_date']) == date('d M Y')) ? '<strong>'.$this->t('today').'</strong>' : date('d M Y', $item['creation_date']) ?></div>
								<div><a class="r-showname" href="<?= $this->getLink('escort-reviews', array('showname' => $item['showname'], 'escort_id' => $item['escort_id'])) ?>">
								<?= $item['showname'] ?>
							</a></div>
								<div>
									<?= $item['agency_name'] ? $item['agency_name'] : 'Independent' ?>
								</div>
								<div >
									<b><?= $item['city_title'] ? $item['city_title'] : '-' ?> </b> </div>

							</div>
						</td>
						<td><img src="<?= _st('reviews/faces_' . $item['looks_rating'] . '.png') ?>" /> <br />
							<img src="<?= _st('reviews/stars_' . $item['services_rating'] . '.png') ?>" />
						</td>
						<td class="left">
							<div class="reviews-column-right" >
								<a class="r-showname" href="<?= $this->getLink('reviews', array('member_name' => $item['username'])) ?>"><?= $item['username'] ?></a>
							
							(<?= $item['reviews_count'] ?>)
							</div>
						</td>
					</tr>
				<?php endforeach; ?>
			</table>

			<?
			$pages_count = ceil($this->count / $config['perPage']); ?>
			<? if( $pages_count != 1 ): ?>
			<div class="paging-list">
					<? $pages = $this->paging($this->count, $this->page, $config['perPage'], 2, 1); ?>
					<? if ( 1 < $this->page): ?>
					<a class="prev" href="<?= $this->getLink('reviews', array('showname' => $this->filter['showname'], 'city_id' => $this->filter['city_id'], 'member_name' => $this->filter['member_name'], 'page' => ($this->page == 2) ? null : $this->page - 1)) ?>"><?= $this->t('previous_m') ?></a>
					<? endif ?>

					<? foreach ( $pages as $page ): ?>

						<? if ( $this->page == $page ): ?>
						<span><?= $page ?></span>
						<? else: ?>
						<a class="number" href="<?= $this->getLink('reviews', array('showname' => $this->filter['showname'], 'city_id' => $this->filter['city_id'], 'member_name' => $this->filter['member_name'], 'page' => ($page == 1) ? null : $page)) ?>" ><?= $page ?></a>
						<? endif ?>

					<? endforeach ?>

					<? if ($this->page < $pages_count - 2 && end($pages) < $pages_count): ?>
					...
					<a class="number" href="<?= $this->getLink('reviews', array('page' => $pages_count, 'showname' => $this->filter['showname'], 'city_id' => $this->filter['city_id'], 'member_name' => $this->filter['member_name'])) ?>" ><?= $pages_count ?></a>
					<? endif; ?>

					<? if ( $pages_count > $this->page): ?>
					<a class="next" href="<?= $this->getLink('reviews', array('showname' => $this->filter['showname'], 'city_id' => $this->filter['city_id'], 'member_name' => $this->filter['member_name'], 'page' => $this->page + 1)) ?>"><?= $this->t('next_m') ?></a>
					<? endif ?>
				</div>
			<? endif; ?>
